Bug 101003 - Impress send number before each lines of text to screen reader
Summary: Impress send number before each lines of text to screen reader
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords: accessibility, bibisectRequest, regression
Depends on:
Blocks: a11y-Linux
  Show dependency treegraph
 
Reported: 2016-07-19 09:20 UTC by Alex ARNAUD
Modified: 2016-10-25 18:41 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex ARNAUD 2016-07-19 09:20:23 UTC
Dear LibreOffice community,

with the latest fresh relrease (5.1.4) on box with multiple lines (two or more) when I move between lines Orca says "0 paragraph content", "1 paragraph content"

Steps to reproduce : 
1) Open LibreOffice
2) Open Orca
3) Insert slide with a presentation subtitle panel for exemple
4) Write lines

Result : LibreOffice send a number information on each line to assistive technologies.
Expected result : LibreOffice should send us the just the paragraph content as presented on screen (so without any number)

Best regards.
Comment 1 Aron Budea 2016-07-23 06:36:19 UTC
Reproduced with LO 5.2.0.3 in Ubuntu 15.10. Also reproduced with 4.3.0.4.
Not reproduced with 4.2.0.4 (paragraph number is not announced). This is a regression.
Comment 2 Caolán McNamara 2016-07-24 20:42:57 UTC
I believe this is from the big c23ab5eaed57cc3fb5860e26c591c73c5b22687b integration of IAccessible2

the old

AccessibleEditableTextPara::getAccessibleName

was just return an empty string

now it returns "Paragraph <num-whatever>".

Not sure if this is just a bad idea, or if we make use of this info elsewhere when we shouldn't.
Comment 3 Commit Notification 2016-07-27 12:21:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0d174c974819d781804026f4c7e916a8092315c5

Resolves: tdf#101003 don't give paras in editeng accessible names

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2016-07-27 12:23:59 UTC
As far as I can see the accessible name is set, and we just tell the a11y readers this info so we're not combining this name into any text and sending that. Its the readers that are using the a11y name.

We don't go around putting accessible names of "Button" on each button so I presume by analogy it's ok to go back to having no accessible name for each paragraph in these editengings as it was before...

    commit c23ab5eaed57cc3fb5860e26c591c73c5b22687b
    Author: Steve Yin <steve_y@apache.org>
    Date:   Tue Nov 26 14:25:22 2013 +0000
    
        Integrate branch of IAccessible2